#
# Spec file for package sirikali
#
# Copyright © 2016 Francis Banyikwa <mhogomchungu@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

%global srcname SiriKali
%global srcurl  https://github.com/mhogomchungu/%{name}

# upstream says we need latest patch to get full path of su binary
%global commit0 ee5a4303217b43a02f1b03841c2848799c9a876a
%global cdate0  20170611

Name:           sirikali
Version:        1.2.7
Summary:        GUI front end to encfs,cryfs,gocryptfs and securefs
# general license is GPLv2+ but BSD for 3rdParty/json.hpp
License:        GPLv2+ and BSD
URL:            http://mhogomchungu.github.io/%{name}
%if 0%{?cdate0}
Release:        1.%{cdate0}git%{?dist}
Source:         %{srcurl}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz
%else
Release:        1%{?dist}
Source:         %{srcurl}/releases/download/%{version}/%{srcname}-%{version}.tar.xz
%endif

BuildRequires: cmake
BuildRequires: gcc-c++

BuildRequires: libgcrypt-devel
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: pkgconfig(lxqt-wallet)

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)

BuildRequires: desktop-file-utils

Requires:      hicolor-icon-theme

Recommends:    fuse-encfs

%description
%{srcname} is a Qt/C++ GUI front end to encfs,cryfs,gocryptfs
and securefs.


%prep
%if 0%{?cdate0}
%autosetup -n%{name}-%{commit0}
%else
%autosetup -n%{srcname}-%{version}
%endif
# unbundle lxqt-wallet
rm -rf src/3rdParty/lxqt_wallet


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%cmake -DQT5=true -DNOKDESUPPORT=true -DNOSECRETSUPPORT=false ..

%install
%make_install -C %{_target_platform}
chmod 644 %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name} --with-qt --all-name

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%license LICENSE COPYRIGHT GPLv*
%doc README* ABOUT* changelog
%{_bindir}/%{name}*
%attr(644,-,-) %{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/polkit-1/actions/*.policy
%{_mandir}/man1/%{name}*.1*


%changelog
* Mon Jun 12 2017 Builder <projects.rg@smart.ms> - 1.2.7.1.20170611git
- new version
- use git snapshot to include latest upstream patches
- include upstream patch to get full path of su binary
- distribute additonal files
- drop workaround for duplicated readme files
- fix length of line in description

* Sun Jun 04 2017 Raphael Groner <projects.rg@smart.ms> - 1.2.5-2
- fix duplication of license documentation files
- reorder explicit ownership of folders
- fix file attributes of desktop file
- add weak dependency to fuse-encfs

* Wed Mar 01 2017 Raphael Groner <projects.rg@smart.ms> - 1.2.5-1
- adopt for Fedora
